
/* Forward prototypes */
void partFindTriStrips(Part *part);
TriStrip * getTriStrip (Part *part, MeshRegion *currRegion, 
			Facet *fptr, Edge *eptr, 
			Facet **lastFptr, int maxLen,
			int markSeenFacet, FacetList **stripFacets);
int matchStrips(TriStrip *target, TriStrip *src);
void meshPickNextEdge(Part *part, MeshRegion *currRegion, 
		      Facet *startFptr, 
		      Facet **nextFptr, Edge **eptr, 
		      TriStrip *prevStrip);
void pickNextEdge (Part *part, MeshRegion *currRegion,
		   Facet **nextFptr, Edge **eptr, 
		   int shadowMeshLookaheads);
Facet *getAdjacentFacet(Facet *fptr, int *p, int *q, int *replP);
static void walkFacet(Part *part, Facet *fptr, int *a, int *b, int *replP, 
		      TriStrip *strip);
static void
walkFacetBack(Part *part, Facet *fptr, int *a, int *b, int *replP, 
	      TriStrip *strip);
